Skip to main content
`Ctrl`+`K`

# PetscViewerExodusIIOpen

Opens a file for ExodusII input/output.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscViewerExodusIIOpen(MPI_Comm comm, const char name[], PetscFileMode mode, PetscViewer *exo)

Collective

## Input Parameters

- comm - MPI communicator

- name - name of file

- mode - access mode

        FILE_MODE_WRITE - create new file for binary output
        FILE_MODE_READ - open existing file for binary input
        FILE_MODE_APPEND - open existing file for binary output

## Output Parameter

- exo - `PETSCVIEWEREXODUSII` `PetscViewer` for Exodus II input/output to use with the specified file

## See Also

`PETSCVIEWEREXODUSII`, `PetscViewer`, `PetscViewerPushFormat()`, `PetscViewerDestroy()`, `DMLoad()`, `PetscFileMode`, `PetscViewerSetType()`, `PetscViewerFileSetMode()`, `PetscViewerFileSetName()`

## Level

beginner

## Location

src/dm/impls/plex/exodusii/plexexodusii2.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages